This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 967062 - (CVE-2013-2114) CVE-2013-2114 mediawiki: security releases 1.20.6 and 1.19.7
CVE-2013-2114 mediawiki: security releases 1.20.6 and 1.19.7
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130521,repor...
: Security
Depends On: 967063 967064 967065 967066
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 11:35 EDT by Vincent Danen
Modified: 2013-06-06 23:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: mediawiki 1.20.6, mediawiki 1.19.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-05-24 11:35:10 EDT
One flaw was corrected in the recently-released MediaWiki 1.20.6 and 1.19.7 releases:

* MediaWiki user Marco discovered that security checks for file uploads were not being run when the file was uploaded in chunks through the API. This option has been available to users who can upload files since MediaWiki 1.19. [1]

[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=48306
Comment 1 Vincent Danen 2013-05-24 11:37:05 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 967063]
Affects: epel-5 [bug 967064]
Comment 2 Vincent Danen 2013-05-24 11:37:23 EDT
Created mediawiki119 tracking bugs for this issue

Affects: epel-6 [bug 967066]
Comment 3 Vincent Danen 2013-05-24 11:37:29 EDT
Created mediawiki116 tracking bugs for this issue

Affects: epel-all [bug 967065]
Comment 4 Fedora Update System 2013-06-06 12:58:59 EDT
mediawiki119-1.19.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-06-06 22:59:24 EDT
mediawiki-1.19.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-06 23:02:53 EDT
mediawiki-1.19.7-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.